# Function urlIsSameOrigin

- urlIsSameOrigin(requestUrl: any): boolean

  Parse a request URL and determine whether this is a same-origin request as the application document.

  #### Parameters

  - requestUrl: any

    The url of the request as a string that will be resolved or a parsed URL object.

  #### Returns boolean

  Whether the request is for the same origin as the application document.

  - Defined in src/core/url-utils/url-utils.js:57